Bug 164225 - class reference at api.kde.org could link to search for class usage with lxr.kde.org
Summary: class reference at api.kde.org could link to search for class usage with lxr....
Status: RESOLVED FIXED
Alias: None
Product: sysadmin
Classification: Unclassified
Component: api.kde.org (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist
Target Milestone: ---
Assignee: kde-www mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-16 16:43 UTC by Friedrich W. H. Kossebau
Modified: 2018-02-19 20:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Friedrich W. H. Kossebau 2008-06-16 16:43:36 UTC
Version:            (using Devel)
Installed from:    Compiled sources

I found that I often also search for usage examples when I looked for the apidox of a class. So I might help me and others if there is a prominent link in each class reference at api.kde.org which directly starts a search with lxr.kde.org, using the proper parameters like API version and class name.

E.g. http://api.kde.org/4.x-api/kdelibs-apidocs/kdecore/html/classKJob.html would have a link named "See usages..." to http://lxr.kde.org/ident?v=trunk;i=KJob
Comment 1 Tom Albers 2012-12-25 22:39:20 UTC
Thanks for reporting. We will implement this at some point. Patches are welcome of course.
Comment 2 Friedrich W. H. Kossebau 2018-02-19 20:12:36 UTC
Seems this has been implemented one day then, kapidox/src/kapidox/data/templates/library.html has the code which also appears working on api.kde.org :) 
Thus closing now as resolved.